summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-07-29 00:17:19 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-07-29 00:17:19 +0200
commit5b12c20c314bd957ab0d14d052d4725b80274184 (patch)
tree22fc146267db9ab8aa2e1ac99ba8b9d660b21d5d
parentc59cc3fa582f6dc4e900cc5e1979246b9e385f8f (diff)
add prepare script for OpenADK
-rwxr-xr-xscripts/adkprepare.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/scripts/adkprepare.sh b/scripts/adkprepare.sh
new file mode 100755
index 000000000..a8a90f84f
--- /dev/null
+++ b/scripts/adkprepare.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+while getopts "e" option
+do
+ case $option in
+ e) ext=1 ;;
+ *) printf "Option not recognized\n";exit 1 ;;
+ esac
+done
+shift $(($OPTIND - 1))
+
+linux() {
+ echo "Preparing Linux for OpenADK"
+}
+
+darwin() {
+ echo "Preparing MacOS X for OpenADK"
+}
+
+openbsd() {
+ echo "Preparing OpenBSD for OpenADK"
+}
+
+netbsd() {
+ echo "Preparing NetBSD for OpenADK"
+}
+
+freebsd() {
+ echo "Preparing FreeBSD for OpenADK"
+ pkg_add -r git gmake mksh bash wget unzip gtar gsed gawk
+}
+
+freebsd_full() {
+ echo "Preparing FreeBSD for full OpenADK package builds"
+ pkg_add -r intltool lynx bison zip xkbcomp glib20 libIDL
+}
+
+os=$(uname)
+
+case $os in
+ Linux)
+ linux
+ [[ $ext -eq 1 ]] && linux_full
+ ;;
+ FreeBSD)
+ freebsd
+ [[ $ext -eq 1 ]] && freebsd_full
+ ;;
+ OpenBSD)
+ openbsd
+ [[ $ext -eq 1 ]] && openbsd_full
+ ;;
+ NetBSD)
+ netbsd
+ [[ $ext -eq 1 ]] && netbsd_full
+ ;;
+ Darwin)
+ darwin
+ [[ $ext -eq 1 ]] && darwin_full
+ ;;
+esac
+